Subject: RE: [PATCH RFC 0/3] Introduce Rust and announce that it will become mandatorty

From: <[email-masked]>
Date: Sun, 21 Sep 2025 19:07:15 -0400

On September 21, 2025 12:49 PM, Ezekiel Newren wrote:
>On Sat, Sep 20, 2025 at 9:18 PM <[email-masked]> wrote:
>> This is a much longer discussion. Windows is simply not a trusted
>> platform. NonStop is. Building on NonStop provides a virus
>> free/malware free container that passes audit requirements for
>> financial transactions that cannot be demonstrated on Windows. I have
>customers who refuse all attempts at building anything on NonStop.
>>
>> In addition, production control cannot be done from windows. There is
>> more to life than Dev in DevSecOps, which is the only thing Windows
>> builds gives you. Unless git runs on NonStop, production artifacts
>> (scripts, configuration, deployed objects) cannot be audited and controlled.
>
>Can linux cross compile to NonStop? If so, would Linux be able to pass audit
>requirements?
>
>It seems like this might be a first mover problem. HPE NonStop doesn't want to
>support Rust because no one is demanding it from them, but engineers don't ask
>for it (or rather, aren't heard) because HPE NonStop refuses to support it. I'll bet
>NonStop doesn't support Git because why would they pay for it when you're doing
>it for them for free. and now people are talking about adding Rust to Git which
>means Git won't work on NonStop and then something breaks and management
>screams at you to "fix it", but you can't because their policy forbade you from using
>the tools that would allow you to "fix it".
>
>Am I telling the story right?

Not really no. There is momentum for Rust on NonStop. It just takes time to get
budget for the effort. After getting budget, it takes time for the port. I am likely to
have some involvement in that, one way or another. NonStop does support git,
mostly through my ongoing efforts and they do use it extensively. This really is a
crucial application and the NonStop team does understand the implications. The
problem is that everything takes time, more than git is allowing in this case. I cannot
disclose more than that.

Yes, people are screaming at me to fix it, which is not easy. The policy is not the
Problem, but the technical limitations are. It is not a surprise, because I was involved
In the POSIX effort when it was first introduced on NonStop, not that many "in the know"
Listened to my concerns, which are now having significant consequences.

I am still working all possible angles to see that git stays relevant, and appreciate
any and all help from any source.

Randall "The Reluctant Prophet" Becker